[blfs-book] r11037 - in trunk/BOOK: . general/graphlib introduction/welcome x/installing

krejzi at higgs.linuxfromscratch.org krejzi at higgs.linuxfromscratch.org
Fri Mar 1 09:45:24 PST 2013


Author: krejzi
Date: Fri Mar  1 09:45:24 2013
New Revision: 11037

Log:
XKeyboard Config 2.8, Poppler 0.22.1, Xorg Intel Driver 2.21.3, Xorg ATI Driver 7.1.0.

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/general/graphlib/poppler.xml
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/x/installing/x7driver.xml
   trunk/BOOK/x/installing/xkeyboard-config.xml

Modified: trunk/BOOK/general.ent
==============================================================================
--- trunk/BOOK/general.ent	Fri Mar  1 08:14:26 2013	(r11036)
+++ trunk/BOOK/general.ent	Fri Mar  1 09:45:24 2013	(r11037)
@@ -326,7 +326,7 @@
 <!ENTITY libtiff-version              "4.0.3">
 <!ENTITY openjpeg-version             "1.5.1">
 <!ENTITY pixman-version               "0.28.2">
-<!ENTITY poppler-version              "0.22.0">
+<!ENTITY poppler-version              "0.22.1">
 <!ENTITY qpdf-version                 "4.0.1">
 
 <!-- Chapter 11 -->
@@ -553,7 +553,7 @@
 <!ENTITY libxcb-version               "1.9">
 <!ENTITY xbitmaps-version             "1.1.1">
 <!ENTITY xcursor-themes-version       "1.0.3">
-<!ENTITY xkeyboard-config-version     "2.7">
+<!ENTITY xkeyboard-config-version     "2.8">
 <!ENTITY mesalib-version              "9.0.2">
 <!ENTITY glu-version                  "9.0.0">
 <!ENTITY xcb-util-version             "0.3.9">

Modified: trunk/BOOK/general/graphlib/poppler.xml
==============================================================================
--- trunk/BOOK/general/graphlib/poppler.xml	Fri Mar  1 08:14:26 2013	(r11036)
+++ trunk/BOOK/general/graphlib/poppler.xml	Fri Mar  1 09:45:24 2013	(r11037)
@@ -7,17 +7,17 @@
   <!ENTITY poppler-download-http
            "http://poppler.freedesktop.org/poppler-&poppler-version;.tar.gz">
   <!ENTITY poppler-download-ftp       " ">
-  <!ENTITY poppler-md5sum             "c7038be37a7d446544e83a7df3c26196">
+  <!ENTITY poppler-md5sum             "50c259fdda538c1ba94b62aa25f7ec87">
   <!ENTITY poppler-size               "2.2 MB">
   <!ENTITY poppler-buildsize          "155 MB (excluding the encoding data) and
            180 MB (including the encoding data)">
   <!ENTITY poppler-time               "1.0 SBU">
 
-  <!ENTITY poppler-data-version       "0.4.5">
+  <!ENTITY poppler-data-version       "0.4.6">
 
   <!ENTITY poppler-data-download-http
            "http://poppler.freedesktop.org/poppler-data-&poppler-data-version;.tar.gz">
-  <!ENTITY poppler-data-md5sum        "448dd7c5077570e340340706cef931aa">
+  <!ENTITY poppler-data-md5sum        "a8a7ca808827dd674faba6e4fc73b471">
   <!ENTITY poppler-data-size          "4.0 MB">
 ]>
 
@@ -185,24 +185,24 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
 
+    <para>
+      <option>--enable-zlib</option>: This option makes
+      <application>Poppler</application> link with the system-installed
+      <filename class='libraryfile'>libz</filename> library to enable compressed
+      PDF functionality.
+    </para>
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/static-libraries.xml"/>
 
     <para>
       <option>--enable-xpdf-headers</option>: Install some old
       <application>Xpdf</application> headers required by certain programs (e.g.
-      <application>Okular</application>, <application>Libre Office</application>
+      <application>Okular</application>, <application>LibreOffice</application>
       and <application>Inkscape</application>).
     </para>
 
     <para>
-      <option>--enable-zlib</option>: This option makes
-      <application>Poppler</application> link with the system-installed
-      <filename class='libraryfile'>libz</filename> library to enable compressed
-      PDF functionality.
-    </para>
-
-    <para>
       <option>--enable-libcurl</option>: This option enables support for HTTP
       using <application>libcurl</application>.
     </para>
@@ -219,22 +219,12 @@
 
       <seglistitem>
         <seg>
-          pdfdetach,
-          pdffonts,
-          pdfimages,
-          pdfinfo,
-          pdfseparate,
-          pdftocairo,
-          pdftohtml,
-          pdftoppm,
-          pdftops,
-          pdftotext,
-          pdfunite and
-          poppler-glib-demo
+          pdfdetach, pdffonts, pdfimages, pdfinfo, pdfseparate,
+          pdftocairo, pdftohtml, pdftoppm, pdftops, pdftotext,
+          pdfunite and poppler-glib-demo
         </seg>
         <seg>
-          libpoppler.so,
-          libpoppler-cpp.so,
+          libpoppler.so, libpoppler-cpp.so,
           libpoppler-glib.so and
           libpoppler-qt4.so
         </seg>
@@ -393,7 +383,7 @@
         <listitem>
           <para>
             is a tool to demonstrate the API, and for use when debugging and
-            testing <application>poppler</application>.
+            testing <application>Poppler</application>.
           </para>
           <indexterm zone="poppler poppler-glib-demo">
             <primary sortas="b-poppler-glib-demo">poppler-glib-demo</primary>
@@ -402,7 +392,7 @@
       </varlistentry>
 
       <varlistentry id="libpoppler">
-        <term><filename class='libraryfile'>libpoppler.so</filename></term>
+        <term><filename class="libraryfile">libpoppler.so</filename></term>
         <listitem>
           <para>
             contains the API functions to render PDF files.
@@ -414,7 +404,7 @@
       </varlistentry>
 
       <varlistentry id="libpoppler-cpp">
-        <term><filename class='libraryfile'>libpoppler-cpp.so</filename></term>
+        <term><filename class="libraryfile">libpoppler-cpp.so</filename></term>
         <listitem>
           <para>
             is a C++ backend for rendering PDF files.
@@ -426,7 +416,7 @@
       </varlistentry>
 
       <varlistentry id="libpoppler-glib">
-        <term><filename class='libraryfile'>libpoppler-glib.so</filename></term>
+        <term><filename class="libraryfile">libpoppler-glib.so</filename></term>
         <listitem>
           <para>
             is a wrapper library used to interface the PDF rendering functions
@@ -439,7 +429,7 @@
       </varlistentry>
 
       <varlistentry id="libpoppler-qt4">
-        <term><filename class='libraryfile'>libpoppler-qt4.so</filename></term>
+        <term><filename class="libraryfile">libpoppler-qt4.so</filename></term>
         <listitem>
           <para>
             is a wrapper library used to interface the PDF rendering functions
@@ -450,6 +440,9 @@
           </indexterm>
         </listitem>
       </varlistentry>
+
     </variablelist>
+
   </sect2>
+
 </sect1>

Modified: trunk/BOOK/introduction/welcome/changelog.xml
==============================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	Fri Mar  1 08:14:26 2013	(r11036)
+++ trunk/BOOK/introduction/welcome/changelog.xml	Fri Mar  1 09:45:24 2013	(r11037)
@@ -103,6 +103,18 @@
         <listitem>
           <para>[krejzi] - p11-kit 0.15.2.</para>
         </listitem>
+        <listitem>
+          <para>[krejzi] - Poppler 0.22.1.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - XKeyboard Config 2.8.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Xorg ATI Driver 7.1.0.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Xorg Intel Driver 2.21.3.</para>
+        </listitem>
      </itemizedlist>
     </listitem>
 

Modified: trunk/BOOK/x/installing/x7driver.xml
==============================================================================
--- trunk/BOOK/x/installing/x7driver.xml	Fri Mar  1 08:14:26 2013	(r11036)
+++ trunk/BOOK/x/installing/x7driver.xml	Fri Mar  1 09:45:24 2013	(r11037)
@@ -40,13 +40,13 @@
   <!ENTITY xorg-wacom-driver-buildsize     "7.0 MB">
   <!ENTITY xorg-wacom-driver-time          "less than 0.1 SBU">
 
-  <!ENTITY xorg-ati-driver-version "7.0.0">
+  <!ENTITY xorg-ati-driver-version "7.1.0">
 
   <!ENTITY xorg-ati-driver-download-http "&xorg-download-http;/driver/xf86-video-ati-&xorg-ati-driver-version;.tar.bz2">
   <!ENTITY xorg-ati-driver-download-ftp  "&xorg-download-ftp;/driver/xf86-video-ati-&xorg-ati-driver-version;.tar.bz2">
-  <!ENTITY xorg-ati-driver-md5sum        "7498971865dc465a4d4ebad826663d40">
-  <!ENTITY xorg-ati-driver-size          "760 KB">
-  <!ENTITY xorg-ati-driver-buildsize     "15 MB">
+  <!ENTITY xorg-ati-driver-md5sum        "a799371aa8a64ac8f9535963d5135e9a">
+  <!ENTITY xorg-ati-driver-size          "788 KB">
+  <!ENTITY xorg-ati-driver-buildsize     "18 MB">
   <!ENTITY xorg-ati-driver-time          "0.2 SBU">
 
   <!ENTITY xorg-fbdev-driver-version "0.4.3">
@@ -58,13 +58,13 @@
   <!ENTITY xorg-fbdev-driver-buildsize     "2.3 MB">
   <!ENTITY xorg-fbdev-driver-time          "less than 0.1 SBU">
 
-  <!ENTITY xorg-intel-driver-version "2.20.19">
+  <!ENTITY xorg-intel-driver-version "2.21.3">
 
   <!ENTITY xorg-intel-driver-download-http "&xorg-download-http;/driver/xf86-video-intel-&xorg-intel-driver-version;.tar.bz2">
   <!ENTITY xorg-intel-driver-download-ftp  "&xorg-download-ftp;/driver/xf86-video-intel-&xorg-intel-driver-version;.tar.bz2">
-  <!ENTITY xorg-intel-driver-md5sum        "a6fb531eb9d31482895d9f68b5fcdd58">
-  <!ENTITY xorg-intel-driver-size          "1.6 MB">
-  <!ENTITY xorg-intel-driver-buildsize     "65 MB">
+  <!ENTITY xorg-intel-driver-md5sum        "362a1d70082f5c0d2410aaf87b5125ba">
+  <!ENTITY xorg-intel-driver-size          "1.7 MB">
+  <!ENTITY xorg-intel-driver-buildsize     "70 MB">
   <!ENTITY xorg-intel-driver-time          "0.6 SBU">
 
   <!ENTITY xorg-mach64-driver-version "6.9.4">
@@ -1340,6 +1340,34 @@
 <screen role="root"><userinput>make install</userinput></screen>
     </sect3>
 
+    <sect3>
+      <title>SandyBridge New Acceleration</title>
+
+      <para>
+        The SandyBridge New Acceleration (SNA) stands for new 2D acceleration architecture
+        developed by Intel developers that can outpreform the standard UXA 2D acceleration
+        architecture. It has been actively developed for the last year and it is in great
+        shape. While the name mentions SandyBridge, it can work with older hardware without
+        any problems.
+      </para>
+
+      <para>
+        The SNA is not enabled by default. You have to use <filename>xorg.conf</filename>
+        to enable it at runtime. To enable SNA, create the following
+        <filename>/etc/X11/xorg.conf</filename> as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+ 
+<screen role="root"><userinput>cat >> /etc/X11/xorg.conf << "EOF"
+<literal>Section "Device"
+        Identifier "intel"
+        Driver "intel"
+        Option "AccelMethod" "sna"
+EndSection</literal>
+EOF</userinput></screen>
+
+    </sect3>
+
     <sect3 role="content">
       <title>Contents</title>
 

Modified: trunk/BOOK/x/installing/xkeyboard-config.xml
==============================================================================
--- trunk/BOOK/x/installing/xkeyboard-config.xml	Fri Mar  1 08:14:26 2013	(r11036)
+++ trunk/BOOK/x/installing/xkeyboard-config.xml	Fri Mar  1 09:45:24 2013	(r11037)
@@ -6,8 +6,8 @@
 
   <!ENTITY xkeyboard-config-download-http "&xorg-download-http;/data/xkeyboard-config/xkeyboard-config-&xkeyboard-config-version;.tar.bz2">
   <!ENTITY xkeyboard-config-download-ftp  "&xorg-download-ftp;/data/xkeyboard-config/xkeyboard-config-&xkeyboard-config-version;.tar.bz2">
-  <!ENTITY xkeyboard-config-md5sum        "6ad7b43062f123eacf8ff0eb3a4e0678">
-  <!ENTITY xkeyboard-config-size          "848 KB">
+  <!ENTITY xkeyboard-config-md5sum        "e66d567d85a954d589c5723fb0e1f3dd">
+  <!ENTITY xkeyboard-config-size          "844 KB">
   <!ENTITY xkeyboard-config-buildsize     "18 MB">
   <!ENTITY xkeyboard-config-time          "less than 0.1 SBU">
 ]>



More information about the blfs-book mailing list